# ![Logo representing a rat's butt](assets/logo.png) Rat Times

Track your time, save it to a CSV file.

Uses Godot 3.5

![screenshot of the app in usage](exports/screenshot.png)

## Features

- Saves to custom CSV file. Sync this file with syncthing/nextcloud/dropbox/whatever you like
- File watcher. Change the CSV externally, see the update in the UI
- Versions for Linux, Windows, Android, and presumably IOS and Mac (untested)
- Custom theming possible
- Does not depend on a timer, so you can close the app immediately after starting a task
- Create nested tasks with `task/subtask` notation

## Coming Up

- Command line version supplied for your scripting needs or for terminal lovers
- Plugin interface to change/add functionality
- price per task

## License

This work is released under the The Nonviolent Public License (NVPLv7+)

https://thufie.lain.haus/NPL.html

In short: you can do whatever you want with with the work, including using it commercially, provided that you release the work under the same terms.

Exception:

- you cannot use the work for patents
- you cannot use the work for harm, surveillance, discrimination, law enforcement, pollution
- in a corporation, you cannot use the work commercially, unless in a worker-owned cooperative, or otherwise a company that redistributes surplus equally amongst workers.

Please read the [full terms](./LICENSE.md) for proper wording.